%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define pyrex_version 0.9.3
%define dbus_glib_version 0.70
%define dbus_version 0.90

Summary: D-Bus Python Bindings 
Name: dbus-python
Version: 0.70
Release: 9%{?dist}
URL: http://www.freedesktop.org/software/dbus/
Source0: http://dbus.freedesktop.org/releases/%{name}-%{version}.tar.gz
Patch0: dbus-python-0.70-fix-binary-modules-dir.patch
# extract.py didn't handle "const" inside typedefs
Patch1: dbus-python-extract-const.patch
# watch_get_fd is deprecated (and doesn't scan), use _watch_get_unix_fd
Patch2: dbus-python-watch-get-unix-fd.patch
# Don't pass a contained signature for dict entries; doing so
# violates libdbus preconditions
Patch3: dbus-python-container-assertion.patch
License: AFL/GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: Pyrex >= %{pyrex_version}
Requires: libxml2-python

%description

D-Bus python bindings for use with python programs.   

%prep
%setup -q
%patch0 -p1 -b .fix-binary-modules-dir
%patch1 -p1 -b .extract-const
%patch2 -p1 -b .watch-get-unix-fd
%patch3 -p1 -b .container-assertion

%build

CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf %{buildroot}

PKG_CONFIG_PATH=%{_libdir}/pkgconfig %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)

%doc COPYING ChangeLog NEWS

%{python_sitearch}/dbus/*.so
%{python_sitearch}/dbus/*.py*

%changelog
* Fri Oct 30 2009 Colin Walters <walters@redhat.com>
- Add patch to avoid tripping new container assertion in dbus 1.1.2
- Resolves: #532142

* Fri Oct 30 2009 Colin Walters <walters@redhat.com>
- Add two patches to fix build with newer dbus

* Tue Nov  7 2006 Matthias Clasen <mclasen@redhat.com> - 0.70-7
- Fix a typo in the spec file (#214253)

* Fri Aug 18 2006 Karsten Hopp <karsten@redhat.com> - 0.70-6
- require libxml2-python for site-packages/dbus/introspect_parser.py

* Thu Jul 20 2006 Jesse Keating <jkeating@redhat.com> - 0.70-5
- Remove unnecessary obsoletes

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-4
- Try python_sitearch this time

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-3
- Add a BR on dbus-devel

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-2
- Spec file cleanups
- Add PKG_CONFIG_PATH

* Mon Jul 17 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-1
- Initial package import
